
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 风险记录明细表相关岗位
    /// </summary>
    [Description("风险记录明细表相关岗位")]
    public class T_HM_RISK_RECORD_DETAIL_WORKDUTY : MesEntityBase
    {
        /// <summary>
        /// 风险记录明细表ID
        /// </summary>
        [Description("风险记录明细表ID")]
        [DataFieldForeignKey("Nav_RiskRecordDetail", "Nav_EvaluateRiskRecordWorkduty")]
        public Guid RISK_RECORD_DETAIL_ID { get; set; }

        /// <summary>
        /// 相关岗位ID
        /// </summary>
        [Description("相关岗位")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Workduty")]
        public Guid WORKDUTY_ID { get; set; }

        /// <summary>
        /// 导航属性：风险记录明细表
        /// </summary>
        [Description("导航属性：风险记录明细表")]
        public T_HM_RISK_RECORD_DETAIL Nav_RiskRecordDetail { get; set; }

        /// <summary>
        /// 导航属性：相关岗位
        /// </summary>
        [Description("导航属性：相关岗位")]
        public T_FM_USER_POST Nav_Workduty { get; set; }
    }
}
